%define name efilter
%define version 1.5
%define unmangled_name efilter
%define unmangled_version 1.5
%define release 1%{?dist}

%if 0%{?fedora}
%global         with_python3 1
%else
%global         with_python3 0
%endif

Summary:	EFILTER query language
Name:		%{name}
Version:	%{version}
Release:	%{release}
Source0:	%{unmangled_name}-%{unmangled_version}.tar.gz
License:	Apache 2.0
Group:		Development/Libraries
BuildRoot:	%{_tmppath}/dotty-%{version}-%{release}-buildroot
Prefix:		%{_prefix}
BuildArch:	noarch
Vendor:		Adam Sindelar <adam.sindelar@gmail.com>
Packager:	Adam Sindelar <adam.sindelar@gmail.com>
Url:		https://github.com/google/dotty/

%description
EFILTER is a general-purpose destructuring and search language implemented in Python, and suitable
for integration with any Python project that requires a search function for some of its data.

%package -n python2-%{name}
Obsoletes:	%{name}-1 = 1.5
Obsoletes:	python-%{name} < %{version}
Provides:	python-%{name} = %{version}
Summary:	EFILTER query language
Requires:	python2-dateutil, python2-six >= 1.4.0, python2-pytz
BuildRequires:	python2-setuptools, python2-devel

%description -n python2-%{name}
is a general-purpose destructuring and search language implemented in Python, and suitable for
integration with any Python project that requires a search function for some of its data.

%if 0%{?with_python3}
%package -n python3-%{name}
Summary:	EFILTER query language
Requires:	python3-dateutil, python3-six >= 1.4.0, python3-pytz
%if 0%{?fedora}
BuildRequires:	python3-setuptools, python3-devel
%endif
%if 0%{?centos}
BuildRequires:	python33-python-setuptools, python3-devel
%endif

%description -n python3-%{name}
EFILTER is a general-purpose destructuring and search language implemented in Python, and suitable
for integration with any Python project that requires a search function for some of its data.
%endif

%prep
%autosetup -n dotty-%{unmangled_version}

%build
%py2_build
%if 0%{?with_python3}
%py3_build
%endif

%install
%py2_install
%if 0%{?with_python3}
%py3_install
%endif
rm -rf %{buildroot}/usr/share/doc/%{name}/

%clean
rm -rf %{buildroot}

%files -n python2-%{name}
%license LICENSE.txt
%{python2_sitelib}/%{name}/
%{python2_sitelib}/%{name}*.egg-info

%if 0%{?with_python3}
%files -n python3-%{name}
%license LICENSE.txt
%{python3_sitelib}/%{name}/
%{python3_sitelib}/%{name}*.egg-info
%endif

%exclude %{python2_sitelib}/sample_projects
%if 0%{?with_python3}
%exclude %{python3_sitelib}/sample_projects
%endif

%changelog
* Tue Jan 29 2019 Lawrence R. Rogers <lrr@cert.org> 1.5-2
* Release 1.5-2
        Version as of 1.5
	python- packages renamed to python2-
	Added python3 packages

* Thu Sep 22 2016 Repository Manager - 1.5-1
- Initial package.
